********************************************************************************
*Project: 			More Clarification, Less Item Nonresponse in Establishment Surveys? A Split-Ballot Experiment
*Author: 			Benjamin Küfner, Joseph W. Sakshaug, Stefan Zins
*Titel Do-File: 	Randomization
*Final Date: 		06.05.2021
********************************************************************************
////////////////////////////////////////////////////////////////////////////////
*1. Log-File and Dataset - CHECK
////////////////////////////////////////////////////////////////////////////////
cap log close
log using "${log_path}/randomization.log", replace

* LOAD DATA - CHECK
use "${data_path}/item_exper_auf.dta", clear

////////////////////////////////////////////////////////////////////////////////
*2. Establishment Charcteristic - CHECK
////////////////////////////////////////////////////////////////////////////////
*Establishment Size - CHECK
tab gk5 exp if INR_zf7 !=. & strata !=., col row chi

*Industry - CHECK

tab industry exp  if INR_zf7 !=. & strata !=., col row chi

*Region - CHECK
tab gebiet04 exp  if INR_zf7 !=.  & strata !=., col row chi

*Collective Agreement - CHECK
tab coll_agree exp if INR_zf7 !=.  & strata !=., col row chi

////////////////////////////////////////////////////////////////////////////////
*3. Closing Section - Check
////////////////////////////////////////////////////////////////////////////////
log close
exit
